svn commit: samba r20519 - in branches/SAMBA_4_0: source source/script source/web_server webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules webapps/swat/source/class/swat/main

derrell at samba.org derrell at samba.org
Wed Jan 3 21:11:48 GMT 2007


Author: derrell
Date: 2007-01-03 21:11:44 +0000 (Wed, 03 Jan 2007)
New Revision: 20519

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=20519

Log:
Web Application Framework

- No path given to web server means use old scripts (missed check-in)

- Build Web Application (qooxdoo stuff) from autogen.sh since python isn't
  available or is differently-configured on various build-farm machines

- Don't continually check in generated files

- Properly identify SWAT "Statistics" module as "Status and Statistics"

Removed:
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/api.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/comment.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/compiler.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/config.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/filetool.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/loader.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/mapper.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/migrator.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/obfuscator.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/optparseext.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/resources.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/settings.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/stringoptimizer.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/textile.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/textutil.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/tokenizer.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/tree.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/treegenerator.pyc
   branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/variableoptimizer.pyc
Modified:
   branches/SAMBA_4_0/source/autogen.sh
   branches/SAMBA_4_0/source/script/installwebapps.sh
   branches/SAMBA_4_0/source/web_server/http.c
   branches/SAMBA_4_0/webapps/swat/source/class/swat/main/Main.js


Changeset:
Modified: branches/SAMBA_4_0/source/autogen.sh
===================================================================
--- branches/SAMBA_4_0/source/autogen.sh	2007-01-03 20:50:45 UTC (rev 20518)
+++ branches/SAMBA_4_0/source/autogen.sh	2007-01-03 21:11:44 UTC (rev 20519)
@@ -63,6 +63,9 @@
 
 rm -rf autom4te*.cache
 
+echo "$0: building Web Application Framework (SWAT)"
+make -C ../webapps/swat distclean build || exit 1
+
 echo "Now run ./configure and then make."
 exit 0
 

Modified: branches/SAMBA_4_0/source/script/installwebapps.sh
===================================================================
--- branches/SAMBA_4_0/source/script/installwebapps.sh	2007-01-03 20:50:45 UTC (rev 20518)
+++ branches/SAMBA_4_0/source/script/installwebapps.sh	2007-01-03 21:11:44 UTC (rev 20519)
@@ -6,8 +6,10 @@
 echo Installing web application files in $WEBAPPSDIR
 
 cd $SRCDIR/../webapps/swat || exit 1
-make build || exit 1
 
+# building the web application framework is now done by autogen.sh
+#make build || exit 1
+
 mkdir -p $WEBAPPSDIR || exit 1
 
 installdir() {
@@ -21,26 +23,23 @@
 }
 
 # install our web application
-cd build
+cd build || exit 1
 installdir `find . -type f -print`
-cd ..
 
-# install all .esp files (there are none in the webapp build dir)
-installdir `find . -name '*.esp'`
-
-# install .js and .esp files from the scripting dir
-cd ..
+# install files from the 'scripting', 'style' and 'images' directories
+cd ../.. || exit 1
 installdir `find scripting -name '*.js'`
 installdir `find scripting -name '*.esp'`
-
-# install .css files from the style dir
 installdir `find style -name '*.css'`
+installdir `find images -name '*.png'`
+installdir `find images -name '*.gif'`
+installdir `find images -name '*.ico'`
 
-# install files from the images dir
-installdir `find images -type f -print`
+# install the old installation scripts, since there's no replacement yet
+installdir `find install -name '*.esp'`
 
-# install the login script, for authentication of static pages
-installdir `find . -name 'login.esp'`
+# install top-level scripts
+installdir index.esp login.esp logout.esp menu.js
 
 cat << EOF
 ======================================================================

Modified: branches/SAMBA_4_0/source/web_server/http.c
===================================================================
--- branches/SAMBA_4_0/source/web_server/http.c	2007-01-03 20:50:45 UTC (rev 20518)
+++ branches/SAMBA_4_0/source/web_server/http.c	2007-01-03 21:11:44 UTC (rev 20519)
@@ -126,7 +126,7 @@
 	if (path == NULL) return NULL;
 
 	if (directory_exist(path)) {
-		path = talloc_asprintf_append(path, "/index.html");
+		path = talloc_asprintf_append(path, "/index.esp");
 	}
 	return path;
 }

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/api.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/comment.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/compiler.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/config.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/filetool.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/loader.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/mapper.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/migrator.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/obfuscator.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/optparseext.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/resources.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/settings.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/stringoptimizer.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/textile.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/textutil.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/tokenizer.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/tree.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/treegenerator.pyc
===================================================================
(Binary files differ)

Deleted: branches/SAMBA_4_0/webapps/qooxdoo-0.6.3-sdk/frontend/framework/tool/modules/variableoptimizer.pyc
===================================================================
(Binary files differ)

Modified: branches/SAMBA_4_0/webapps/swat/source/class/swat/main/Main.js
===================================================================
--- branches/SAMBA_4_0/webapps/swat/source/class/swat/main/Main.js	2007-01-03 20:50:45 UTC (rev 20518)
+++ branches/SAMBA_4_0/webapps/swat/source/class/swat/main/Main.js	2007-01-03 21:11:44 UTC (rev 20519)
@@ -26,7 +26,7 @@
  */
 
 //#require(swat.module.statistics.Statistics)
-new swat.module.Module("Statistics",
+new swat.module.Module("Status and Statistics",
                        swat.module.statistics.Statistics);
 
 //#require(swat.module.ldbbrowse.LdbBrowse)



More information about the samba-cvs mailing list